summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2011-06-07 07:54:51 +0200
committerMartin Väth <martin@mvath.de>2015-10-11 10:46:35 +0200
commit0450dc222439bd83c1a5b6aaee6b5abb85ad4cd1 (patch)
tree7dcf24b17028fdb62dfeb2a84f4fc7c13ed39af4
parentAdd zsh-syntax-highlighting (diff)
downloadmv-0450dc222439bd83c1a5b6aaee6b5abb85ad4cd1.tar.gz
mv-0450dc222439bd83c1a5b6aaee6b5abb85ad4cd1.tar.bz2
mv-0450dc222439bd83c1a5b6aaee6b5abb85ad4cd1.zip
rename sys-apps/less-select -> sys-apps/less[less-select]
-rw-r--r--sys-apps/less-select/less-select-443.ebuild79
-rw-r--r--sys-apps/less-select/metadata.xml12
-rw-r--r--sys-apps/less/ChangeLog (renamed from sys-apps/less-select/ChangeLog)30
-rw-r--r--sys-apps/less/Manifest (renamed from sys-apps/less-select/Manifest)7
-rw-r--r--sys-apps/less/files/README.Gentoo (renamed from sys-apps/less-select/files/README.Gentoo)0
-rw-r--r--sys-apps/less/files/code2color.patch (renamed from sys-apps/less-select/files/code2color.patch)0
-rw-r--r--sys-apps/less/files/lesspipe.sh (renamed from sys-apps/less-select/files/lesspipe.sh)0
-rw-r--r--sys-apps/less/less-443.ebuild91
-rw-r--r--sys-apps/less/metadata.xml13
9 files changed, 127 insertions, 105 deletions
diff --git a/sys-apps/less-select/less-select-443.ebuild b/sys-apps/less-select/less-select-443.ebuild
deleted file mode 100644
index 5d5628ba..00000000
--- a/sys-apps/less-select/less-select-443.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header $
-
-EAPI="4"
-inherit eutils
-
-DESCRIPTION="Excellent text file viewer, patched with additional selection feature"
-HOMEPAGE="http://www.greenwoodsoftware.com/less/"
-PATCHVER=436
-SRC_URI="http://www.greenwoodsoftware.com/less/less-${PV}.tar.gz
- http://www-zeuthen.desy.de/~friebel/unix/less/code2color
- http://www.mathematik.uni-wuerzburg.de/~vaeth/download/less-select-patch-${PATCHVER}.tar.gz"
-
-LICENSE="|| ( GPL-3 BSD-2 )"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="unicode dummy-less"
-
-DEPEND=">=sys-libs/ncurses-5.2
- !dummy-less? ( !sys-apps/less )"
-
-S="${WORKDIR}/less-${PV}"
-
-MYSUBDIR="./less-select-patch-${PATCHVER}"
-
-src_unpack() {
- unpack "less-${PV}.tar.gz"
- cp -- "${DISTDIR}"/code2color "${S}"
- cd "${S}"
- unpack "less-select-patch-${PATCHVER}.tar.gz"
-}
-
-src_prepare() {
- epatch "${FILESDIR}"/code2color.patch
- mv -- "${MYSUBDIR}/INSTALL" "${MYSUBDIR}/README.less-select"
- if test -e "${MYSUBDIR}/less-${PV}-select.patch"
- then epatch "${MYSUBDIR}/less-${PV}-select.patch" || die "Patch less-${PV}-select failed"
- else epatch "${MYSUBDIR}/less-${PATCHVER}-select.patch" || die "Patch less-${PATCHVER}-select failed"
- fi
- "${MYSUBDIR}"/after-patch || die "${MYSUBDIR}/after-patch failed"
-}
-
-yesno() { use $1 && echo yes || echo no ; }
-src_configure() {
- export ac_cv_lib_ncursesw_initscr=$(yesno unicode)
- export ac_cv_lib_ncurses_initscr=$(yesno !unicode)
- econf || die
-}
-
-src_compile() {
- default_src_compile
- ./lesskey -o less-normal-key.bin "${MYSUBDIR}/less-normal-key.src" || die
- ./lesskey -o less-select-key.bin "${MYSUBDIR}/less-select-key.src" || die
-}
-
-src_install() {
- default_src_install
-
- dobin code2color || die "dobin"
- newbin "${FILESDIR}"/lesspipe.sh lesspipe || die "newbin"
- dosym lesspipe /usr/bin/lesspipe.sh
- echo 'LESSOPEN="|lesspipe.sh %s"
-LESS="-sFR -iMX --shift 5"' > 70less
- doenvd 70less
-
- dodoc NEWS README* "${FILESDIR}"/README.Gentoo "${MYSUBDIR}"/README.less-select
-
- newbin "${MYSUBDIR}/less-select" less-select
- insinto /etc
- newins less-normal-key.bin lesskey.bin
- newins less-select-key.bin less-select-key.bin
- newins "${MYSUBDIR}/less-normal-key.src" lesskey.src
- newins "${MYSUBDIR}/less-select-key.src" less-select-key.src
-}
-
-pkg_postinst() {
- einfo "lesspipe offers colorization options. Run 'lesspipe -h' for info."
-}
diff --git a/sys-apps/less-select/metadata.xml b/sys-apps/less-select/metadata.xml
deleted file mode 100644
index 9841cf48..00000000
--- a/sys-apps/less-select/metadata.xml
+++ /dev/null
@@ -1,12 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>no-herd</herd>
-<maintainer>
- <email>martin@mvath.de</email>
- <name>Martin Väth</name>
-</maintainer>
-<use>
- <flag name="dummy-less">Set this if you use /etc/portage/env/sys-apps/less to install only a dummy version of less. Only useful if you want to get informed about new less ebuilds by portage despite using less-select.</flag>
-</use>
-</pkgmetadata>
diff --git a/sys-apps/less-select/ChangeLog b/sys-apps/less/ChangeLog
index 4562f2db..5660f7fb 100644
--- a/sys-apps/less-select/ChangeLog
+++ b/sys-apps/less/ChangeLog
@@ -1,7 +1,15 @@
-# ChangeLog for sys-apps/less-select
+# ChangeLog for sys-apps/less
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header $
+*less-443.ebuild (11 Apr 2011)
+
+ 06 Jun 2011; Martin Väth <martin@mvath.de>
+ -less-select-443.ebuild +less-443.ebuild
+ Rename into less to avoid problems with portage hard-depending on less.
+ In fact, less-select is just less with additional options which therefore
+ should be provided by a useflag.
+
*less-select-443.ebuild (11 Apr 2011)
11 Apr 2011; Martin Väth <martin@mvath.de>
@@ -35,34 +43,34 @@
Update lesspipe.sh and related changes of sys-apps/less in portage tree.
22 Jul 2009; Martin Väth <martin@mvath.de> :
- Version bump to less-436
+ Version bump to less-select-436
12 Apr 2009; Martin Väth <martin@mvath.de> :
- Version bump to less-429
+ Version bump to less-select-429
09 Feb 2009; Martin Väth <martin@mvath.de> :
- Version bump to less-424
+ Version bump to less-select-424
04 Jan 2008; Martin Väth <martin@mvath.de> :
- Version bump to less-418
+ Version bump to less-select-418
29 Nov 2007; Martin Väth <martin@mvath.de> :
- Version bump to less-416
+ Version bump to less-select-416
16 Nov 2007; Martin Väth <martin@mvath.de> :
- Version bump to less-415
+ Version bump to less-select-415
10 Oct 2007; Martin Väth <martin@mvath.de> :
- Version bump to less-409
+ Version bump to less-select-409
29 Jun 2007; Martin Väth <martin@mvath.de> :
- Version bump to less-406
+ Version bump to less-select-406
29 Dec 2005; Martin Väth <martin@mvath.de> :
- Version bump to less-394
+ Version bump to less-select-394
03 Dec 2005; Martin Väth <martin@mvath.de> :
- Version bump to less-393
+ Version bump to less-select-393
06 Mar 2005; Martin Väth <martin@mvath.de> :
Initial version based on less-382-r2.ebuild
diff --git a/sys-apps/less-select/Manifest b/sys-apps/less/Manifest
index f52678c4..cd18bf9d 100644
--- a/sys-apps/less-select/Manifest
+++ b/sys-apps/less/Manifest
@@ -1,9 +1,10 @@
AUX README.Gentoo 823 RMD160 be59c37906fca17fa25f6781d3f5e7abc114dc57 SHA1 5a1f126af728f5220b97623050e2f9b1ea5ae58e SHA256 3985fd1810f660ea1c1f2732f719b069b6934d62d8d9e8a09287e63f049ba27d
AUX code2color.patch 1110 RMD160 712f7b79c94f92ee62825d5f53627f18fae693d2 SHA1 a82f937f3a923b52adc4f14cfc9b641903884839 SHA256 a3887126826ef0b4b821bd97cf4e7abfc8b1c9280bf2bb18a2a4cec9a2973936
+AUX less.envd 52 RMD160 400b9cd58e087f3f6f3e4842200ceb26210b5848 SHA1 5a15cc633fb90bb1a4715b7b883d788c05e74eda SHA256 d724a22a0f9ea78510b1cde8ca65ae3e6991d7b4271ecf384bdebc3cbe935be5
AUX lesspipe.sh 7245 RMD160 c7fb8ed5351864a4e5735118a47b018b7f0c9635 SHA1 05018b6749b182b36d92f8d0cda8846f23cf9dae SHA256 ac4130bd95c0dcbfbffb3b9e3b88b39540af23ca356b8ba75907f41990a6c250
DIST code2color 199875 RMD160 378d340a20c3fe500f19116220d54816fe279225 SHA1 b30526dd52c747b8bd6dcf53cf5cc94824c47feb SHA256 ce63f148293a81b0fe5e072f33285f9bf4f1d832f64b23a2220519674a47091d
DIST less-443.tar.gz 307234 RMD160 e5e7b72266d218a225be7d28c4b8d8d9c0fc75d2 SHA1 72cf3d3c77990e04ad04ea63b377b893c8a7a2cd SHA256 a4c3e8af81fd0944941ee7c74eecc7759422a227df52335e899e69de5eae30ca
DIST less-select-patch-436.tar.gz 47383 RMD160 5ccbe853d1f6ce5940f283bd8265ce8b75e20363 SHA1 21f3f8b16be8cd0724820c167d6f685d236cec36 SHA256 bbdd0ee9241803b8de719c358090354bde63472d1df6db271a50be51bfc800f3
-EBUILD less-select-443.ebuild 2383 RMD160 1afaaa4e60dca6773eb1237afdb996465839a859 SHA1 8ad4fcaa1368c5f305caff5d4b80f21959add3a3 SHA256 4759da49a8d51828fb939ae8a51b6d246a4de955e21d2ac420c66a3061f1ae5f
-MISC ChangeLog 2228 RMD160 7e936a31d7472be9d7415fdaeff2b0a152bedc17 SHA1 56a307f43db063e059574c4dface52fe8aacbbfd SHA256 e58fcc3a851eac8b604cb7dcd2ecf8a112d785dfec3f22a577e10055b03925b7
-MISC metadata.xml 502 RMD160 3e3f84a9d63d37d044acba98f3add536f1dc98a6 SHA1 a45389d6d02b23a47a70a174d4d49b9c24480f62 SHA256 24b8610aa08d7c0ef1f1e84af06ffe327396a5132cb9bf51c426496e4ad8df61
+EBUILD less-443.ebuild 2709 RMD160 30d7f6b932991e05bf8397d8bdb324016bf9e205 SHA1 68d4c720e74fea15689ddf4ad9592a7d580851c5 SHA256 42f9d68ceb3e9218ab7cbf01ad08ff50933464e751418674e071ff0d842b175f
+MISC ChangeLog 2616 RMD160 cb957b86064f7a6af1aecbba7d9a77912d907f5e SHA1 2c5750f87ccf55bf6b11a5eb6cf2216054aa93bd SHA256 1141172224cc5841f6c458862e836c0f2dbe46de21e60934972a227e55926bdc
+MISC metadata.xml 467 RMD160 e69ea2344bdb9a8dcc204f8c3b9f082a8851b0e4 SHA1 6f8b9d9fb00ab400b4a1465c389338b9b34089a2 SHA256 a99d1ace3f8e4336bae975c7adff6152dbceddcaaca56084db59aaed8cdc136f
diff --git a/sys-apps/less-select/files/README.Gentoo b/sys-apps/less/files/README.Gentoo
index dca83280..dca83280 100644
--- a/sys-apps/less-select/files/README.Gentoo
+++ b/sys-apps/less/files/README.Gentoo
diff --git a/sys-apps/less-select/files/code2color.patch b/sys-apps/less/files/code2color.patch
index 5d4ac7fe..5d4ac7fe 100644
--- a/sys-apps/less-select/files/code2color.patch
+++ b/sys-apps/less/files/code2color.patch
diff --git a/sys-apps/less-select/files/lesspipe.sh b/sys-apps/less/files/lesspipe.sh
index b656e306..b656e306 100644
--- a/sys-apps/less-select/files/lesspipe.sh
+++ b/sys-apps/less/files/lesspipe.sh
diff --git a/sys-apps/less/less-443.ebuild b/sys-apps/less/less-443.ebuild
new file mode 100644
index 00000000..58a86623
--- /dev/null
+++ b/sys-apps/less/less-443.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header $
+
+EAPI="4"
+inherit eutils
+
+DESCRIPTION="Excellent text file viewer, optionally with additional selection feature"
+HOMEPAGE="http://www.greenwoodsoftware.com/less/"
+PATCHVER=436
+SRC_URI="http://www.greenwoodsoftware.com/less/${P}.tar.gz
+ http://www-zeuthen.desy.de/~friebel/unix/less/code2color
+ less-select? ( http://www.mathematik.uni-wuerzburg.de/~vaeth/download/less-select-patch-${PATCHVER}.tar.gz )"
+
+LICENSE="|| ( GPL-3 BSD-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
+IUSE="+less-select original-gentoo unicode"
+
+DEPEND=">=sys-libs/ncurses-5.2"
+
+SELECTDIR="./less-select-patch-${PATCHVER}"
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ cd "${S}"
+ cp "${DISTDIR}"/code2color "${S}"/
+ if use less-select
+ then unpack "less-select-patch-${PATCHVER}.tar.gz"
+ fi
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/code2color.patch
+ if use less-select
+ then mv -- "${SELECTDIR}/INSTALL" "${SELECTDIR}/README.less-select"
+ if test -e "${SELECTDIR}/less-${PV}-select.patch"
+ then epatch "${SELECTDIR}/less-${PV}-select.patch" || die "Patch less-${PV}-select failed"
+ else epatch "${SELECTDIR}/less-${PATCHVER}-select.patch" || die "Patch less-${PATCHVER}-select failed"
+ fi
+ "${SELECTDIR}"/after-patch || die "${SELECTDIR}/after-patch failed"
+ fi
+}
+
+yesno() { use $1 && echo yes || echo no ; }
+src_configure() {
+ export ac_cv_lib_ncursesw_initscr=$(yesno unicode)
+ export ac_cv_lib_ncurses_initscr=$(yesno !unicode)
+ econf || die
+}
+
+src_compile() {
+ default_src_compile
+ if use less-select
+ then ./lesskey -o less-normal-key.bin "${SELECTDIR}/less-normal-key.src" || die
+ ./lesskey -o less-select-key.bin "${SELECTDIR}/less-select-key.src" || die
+ fi
+}
+
+src_install() {
+ local a
+ default_src_install
+
+ dobin code2color || die "dobin"
+ newbin "${FILESDIR}"/lesspipe.sh lesspipe || die "newbin"
+ dosym lesspipe /usr/bin/lesspipe.sh
+ newenvd "${FILESDIR}"/less.envd 70less
+
+ dodoc NEWS README* "${FILESDIR}"/README.Gentoo
+
+ if use original-gentoo
+ then a="-R -M --shift 5"
+ else a="-sFRiMX --shift 5"
+ fi
+ printf '%s\n' 'LESSOPEN="|lesspipe.sh %s"' "LESS=\"${a}\"" >70less
+ doenv 70less
+
+ if use less-select
+ then dodoc "${SELECTDIR}"/README.less-select
+ newbin "${SELECTDIR}/less-select" less-select
+ insinto /etc
+ newins less-normal-key.bin lesskey.bin
+ newins less-select-key.bin less-select-key.bin
+ newins "${SELECTDIR}/less-normal-key.src" lesskey.src
+ newins "${SELECTDIR}/less-select-key.src" less-select-key.src
+ fi
+}
+
+pkg_postinst() {
+ einfo "lesspipe offers colorization options. Run 'lesspipe -h' for info."
+}
diff --git a/sys-apps/less/metadata.xml b/sys-apps/less/metadata.xml
new file mode 100644
index 00000000..7c6bad45
--- /dev/null
+++ b/sys-apps/less/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>base-system</herd>
+<maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+</maintainer>
+<use>
+ <flag name="original-gentoo">Use the gentoo default for the LESS variable.</flag>
+ <flag name="less-select">Add the less-select feature (additional options and a binary helper).</flag>
+</use>
+</pkgmetadata>